From cd578afbe464341a5c9987abfff067c10e6fa8a5 Mon Sep 17 00:00:00 2001
From: Peter Robinson <pbrobinson@gmail.com>
Date: Sun, 3 May 2015 13:54:33 +0100
Subject: [PATCH 09/10] imx6: generic MMC config options to mx6_common

---
 include/configs/aristainetos.h    | 7 -------
 include/configs/cgtqmx6eval.h     | 7 -------
 include/configs/cm_fx6.h          | 5 -----
 include/configs/embestmx6boards.h | 7 -------
 include/configs/gw_ventana.h      | 6 ------
 include/configs/hummingboard.h    | 7 -------
 include/configs/mx6_common.h      | 8 ++++++++
 include/configs/mx6cuboxi.h       | 6 ------
 include/configs/mx6qarm2.h        | 7 -------
 include/configs/mx6sabre_common.h | 7 -------
 include/configs/mx6slevk.h        | 6 ------
 include/configs/mx6sxsabresd.h    | 7 -------
 include/configs/nitrogen6x.h      | 7 -------
 include/configs/novena.h          | 8 --------
 include/configs/ot1200.h          | 7 -------
 include/configs/platinum.h        | 6 ------
 include/configs/secomx6quq7.h     | 7 -------
 include/configs/tbs2910.h         | 7 -------
 include/configs/titanium.h        | 7 -------
 include/configs/tqma6.h           | 7 -------
 include/configs/udoo.h            | 7 -------
 include/configs/wandboard.h       | 7 -------
 include/configs/warp.h            | 7 -------
 23 files changed, 8 insertions(+), 149 deletions(-)

diff --git a/include/configs/aristainetos.h b/include/configs/aristainetos.h
index 6859fff..106b6aa 100644
--- a/include/configs/aristainetos.h
+++ b/include/configs/aristainetos.h
@@ -33,15 +33,8 @@
 #define CONFIG_MXC_OCOTP
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_MII
diff --git a/include/configs/cgtqmx6eval.h b/include/configs/cgtqmx6eval.h
index 0454505..2ad2a01 100644
--- a/include/configs/cgtqmx6eval.h
+++ b/include/configs/cgtqmx6eval.h
@@ -27,15 +27,8 @@
 #define CONFIG_MXC_UART_BASE	       UART2_BASE
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* Miscellaneous commands */
 #define CONFIG_CMD_BMODE
 
diff --git a/include/configs/cm_fx6.h b/include/configs/cm_fx6.h
index bf306d5..4b3c79f 100644
--- a/include/configs/cm_fx6.h
+++ b/include/configs/cm_fx6.h
@@ -31,11 +31,6 @@
 #undef CONFIG_CMD_IMLS
 
 /* MMC */
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_USDHC_NUM	3
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC2_BASE_ADDR
 
diff --git a/include/configs/embestmx6boards.h b/include/configs/embestmx6boards.h
index 276b8c0..41e209e 100644
--- a/include/configs/embestmx6boards.h
+++ b/include/configs/embestmx6boards.h
@@ -54,15 +54,8 @@
 #define CONFIG_MXC_USB_FLAGS	0
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_FEC_MXC
 #define CONFIG_MII
 #define IMX_FEC_BASE			ENET_BASE_ADDR
diff --git a/include/configs/gw_ventana.h b/include/configs/gw_ventana.h
index a83f0ba..476d359 100644
--- a/include/configs/gw_ventana.h
+++ b/include/configs/gw_ventana.h
@@ -87,14 +87,8 @@
 #define CONFIG_I2C_EDID
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 #define CONFIG_SYS_FSL_USDHC_NUM       1
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
 
 /* Filesystem support */
 #define CONFIG_CMD_UBIFS
diff --git a/include/configs/hummingboard.h b/include/configs/hummingboard.h
index b0ca0a3..02fcc5a 100644
--- a/include/configs/hummingboard.h
+++ b/include/configs/hummingboard.h
@@ -35,16 +35,9 @@
 #define CONFIG_SYS_MEMTEST_END		(CONFIG_SYS_MEMTEST_START + 500 * SZ_1M)
 
 /* MMC Configuration */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_USDHC_NUM	1
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* Ethernet Configuration */
 #define CONFIG_FEC_MXC
 #ifdef CONFIG_FEC_MXC
diff --git a/include/configs/mx6_common.h b/include/configs/mx6_common.h
index 52eeedc..f1d115d 100644
--- a/include/configs/mx6_common.h
+++ b/include/configs/mx6_common.h
@@ -83,4 +83,12 @@
 /* GPIO */
 #define CONFIG_MXC_GPIO
 
+/* MMC */
+#define CONFIG_MMC
+#define CONFIG_CMD_MMC
+#define CONFIG_GENERIC_MMC
+#define CONFIG_BOUNCE_BUFFER
+#define CONFIG_FSL_ESDHC
+#define CONFIG_FSL_USDHC
+
 #endif
diff --git a/include/configs/mx6cuboxi.h b/include/configs/mx6cuboxi.h
index 6450f32..211fba3 100644
--- a/include/configs/mx6cuboxi.h
+++ b/include/configs/mx6cuboxi.h
@@ -24,13 +24,7 @@
 #define CONFIG_MXC_OCOTP
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC2_BASE_ADDR
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
 
 /* Ethernet Configuration */
 #define CONFIG_FEC_MXC
diff --git a/include/configs/mx6qarm2.h b/include/configs/mx6qarm2.h
index 9155885..8c19e09 100644
--- a/include/configs/mx6qarm2.h
+++ b/include/configs/mx6qarm2.h
@@ -20,16 +20,9 @@
 #define CONFIG_MXC_UART_BASE		UART4_BASE
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC4_BASE_ADDR
 #define CONFIG_SYS_FSL_USDHC_NUM	2
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_MII
diff --git a/include/configs/mx6sabre_common.h b/include/configs/mx6sabre_common.h
index 1605105..8ceb65c 100644
--- a/include/configs/mx6sabre_common.h
+++ b/include/configs/mx6sabre_common.h
@@ -27,15 +27,8 @@
 #endif
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_MII
diff --git a/include/configs/mx6slevk.h b/include/configs/mx6slevk.h
index 885953e..df76a6a 100644
--- a/include/configs/mx6slevk.h
+++ b/include/configs/mx6slevk.h
@@ -23,14 +23,8 @@
 #define CONFIG_MXC_UART_BASE		UART1_IPS_BASE_ADDR
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC2_BASE_ADDR
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-
 /* I2C Configs */
 #define CONFIG_CMD_I2C
 #define CONFIG_SYS_I2C
diff --git a/include/configs/mx6sxsabresd.h b/include/configs/mx6sxsabresd.h
index 3fd92f6..86fb8c2 100644
--- a/include/configs/mx6sxsabresd.h
+++ b/include/configs/mx6sxsabresd.h
@@ -124,15 +124,8 @@
 	(CONFIG_SYS_INIT_RAM_ADDR + CONFIG_SYS_INIT_SP_OFFSET)
 
 /* MMC Configuration */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC4_BASE_ADDR
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* I2C Configs */
 #define CONFIG_CMD_I2C
 #define CONFIG_SYS_I2C
diff --git a/include/configs/nitrogen6x.h b/include/configs/nitrogen6x.h
index 4f2814a..4d62d5d 100644
--- a/include/configs/nitrogen6x.h
+++ b/include/configs/nitrogen6x.h
@@ -54,16 +54,9 @@
 #define CONFIG_I2C_EDID
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 #define CONFIG_SYS_FSL_USDHC_NUM       2
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #ifdef CONFIG_MX6Q
 #define CONFIG_CMD_SATA
 #endif
diff --git a/include/configs/novena.h b/include/configs/novena.h
index 38162f4..09474de 100644
--- a/include/configs/novena.h
+++ b/include/configs/novena.h
@@ -28,7 +28,6 @@
 #define CONFIG_CMD_I2C
 #define CONFIG_CMD_FUSE
 #define CONFIG_CMD_MII
-#define CONFIG_CMD_MMC
 #define CONFIG_CMD_NET
 #define CONFIG_CMD_PCI
 #define CONFIG_CMD_PING
@@ -119,15 +118,8 @@
 #endif
 
 /* MMC Configs */
-#ifdef CONFIG_CMD_MMC
-#define CONFIG_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 #define CONFIG_SYS_FSL_USDHC_NUM	2
-#endif
 
 /* OCOTP Configs */
 #ifdef CONFIG_CMD_FUSE
diff --git a/include/configs/ot1200.h b/include/configs/ot1200.h
index 9d2b0d8..ec41464 100644
--- a/include/configs/ot1200.h
+++ b/include/configs/ot1200.h
@@ -61,16 +61,9 @@
 #define IMX_OTPWRITE_ENABLED
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR      0
 #define CONFIG_SYS_FSL_USDHC_NUM       2
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* USB Configs */
 #define CONFIG_CMD_USB
 #define CONFIG_USB_STORAGE
diff --git a/include/configs/platinum.h b/include/configs/platinum.h
index 1f8f285..1ffc237 100644
--- a/include/configs/platinum.h
+++ b/include/configs/platinum.h
@@ -27,7 +27,6 @@
 #define CONFIG_CMD_I2C
 #undef  CONFIG_CMD_IMLS
 #define CONFIG_CMD_MII
-#define CONFIG_CMD_MMC
 #define CONFIG_CMD_MTDPARTS
 #define CONFIG_CMD_NAND
 #define CONFIG_CMD_NAND_TRIMFFS
@@ -53,13 +52,8 @@
 #define CONFIG_SYS_I2C_SPEED			100000
 
 /* MMC config */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR		0
 #define CONFIG_SYS_FSL_USDHC_NUM		1
-#define CONFIG_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
 
 /* Ethernet config */
 #define CONFIG_FEC_MXC
diff --git a/include/configs/secomx6quq7.h b/include/configs/secomx6quq7.h
index a040738..51c92cc 100644
--- a/include/configs/secomx6quq7.h
+++ b/include/configs/secomx6quq7.h
@@ -31,16 +31,9 @@
 #define CONFIG_SYS_MEMTEST_END		(CONFIG_SYS_MEMTEST_START + 500 * SZ_1M)
 
 /* MMC Configuration */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_USDHC_NUM        2
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* Ethernet Configuration */
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
diff --git a/include/configs/tbs2910.h b/include/configs/tbs2910.h
index d258a3d..5ab5bff 100644
--- a/include/configs/tbs2910.h
+++ b/include/configs/tbs2910.h
@@ -63,16 +63,9 @@
 #define CONFIG_FIT
 
 /* MMC */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_USDHC_NUM	3
 #define CONFIG_SYS_FSL_ESDHC_ADDR	USDHC4_BASE_ADDR
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* Ethernet */
 #define CONFIG_FEC_MXC
 #define CONFIG_CMD_PING
diff --git a/include/configs/titanium.h b/include/configs/titanium.h
index 0d056d0..c0596f2 100644
--- a/include/configs/titanium.h
+++ b/include/configs/titanium.h
@@ -37,16 +37,9 @@
 #define CONFIG_SYS_I2C_SPEED		100000
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 #define CONFIG_SYS_FSL_USDHC_NUM	1
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_CMD_PING
 #define CONFIG_CMD_DHCP
 #define CONFIG_CMD_MII
diff --git a/include/configs/tqma6.h b/include/configs/tqma6.h
index 4ba700c..40ef569 100644
--- a/include/configs/tqma6.h
+++ b/include/configs/tqma6.h
@@ -80,15 +80,8 @@
 #define TQMA6_PFUZE100_I2C_BUS		2
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* USB Configs */
 #define CONFIG_CMD_USB
 #define CONFIG_USB_EHCI
diff --git a/include/configs/udoo.h b/include/configs/udoo.h
index dd3b58f..4bbb0f7 100644
--- a/include/configs/udoo.h
+++ b/include/configs/udoo.h
@@ -60,15 +60,8 @@
 #define CONFIG_SYS_MEMTEST_END		(CONFIG_SYS_MEMTEST_START + 500 * SZ_1M)
 
 /* MMC Configuration */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 #define CONFIG_DEFAULT_FDT_FILE		"imx6q-udoo.dtb"
 
 #define CONFIG_EXTRA_ENV_SETTINGS \
diff --git a/include/configs/wandboard.h b/include/configs/wandboard.h
index 2d24138..82fc127 100644
--- a/include/configs/wandboard.h
+++ b/include/configs/wandboard.h
@@ -40,16 +40,9 @@
 #define CONFIG_SYS_I2C_SPEED		100000
 
 /* MMC Configuration */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_USDHC_NUM	2
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* USB Configs */
 #define CONFIG_CMD_USB
 #define CONFIG_USB_EHCI
diff --git a/include/configs/warp.h b/include/configs/warp.h
index 50119f0..caf5d3f 100644
--- a/include/configs/warp.h
+++ b/include/configs/warp.h
@@ -25,17 +25,10 @@
 #define CONFIG_MXC_UART_BASE		UART1_IPS_BASE_ADDR
 
 /* MMC Configs */
-#define CONFIG_FSL_ESDHC
-#define CONFIG_FSL_USDHC
 #define CONFIG_SYS_FSL_ESDHC_ADDR	0
 #define CONFIG_SYS_FSL_ESDHC_FORCE_VSELECT
 #define CONFIG_SYS_FSL_ESDHC_HAS_DDR_MODE
 
-#define CONFIG_MMC
-#define CONFIG_CMD_MMC
-#define CONFIG_GENERIC_MMC
-#define CONFIG_BOUNCE_BUFFER
-
 /* Command definition */
 #undef CONFIG_CMD_NET
 #undef CONFIG_CMD_NFS
-- 
2.4.0

